<?php
session_start();
if (!isset($_SESSION['user'])) {
  // jika user belum login
  header('Location: ../login');
  exit();
}

include('../../config/koneksi.php');

// ambil data dari form
$nama_pelatih = htmlspecialchars($_POST['nama_pelatih']);
$alamat = htmlspecialchars($_POST['alamat']);
$asal_ranting = htmlspecialchars($_POST['asal_ranting']);
$id_pelatih = htmlspecialchars($_POST['id_pelatih']);

$id_user = $_SESSION['user']['id_user'];

// update database

$query = "UPDATE pelatih SET nama_pelatih = '$nama_pelatih', alamat = '$alamat', asal_ranting = '$asal_ranting', updated_at = CURRENT_TIMESTAMP WHERE pelatih.id_pelatih = $id_pelatih;";

$hasil = mysqli_query($db, $query);

// cek keberhasilan pendambahan data
if ($hasil == true) {
  echo "<script>window.alert('Ubah data pelatih berhasil'); window.location.href='../pelatih'</script>";
} else {
  echo "<script>window.alert('Ubah data pelatih gagal!'); window.location.href='../pelatih'</script>";
}
